NamePatternConverter Class Reference

Base class for other pattern converters which can return only parts of their name. More...

Inherits LoggingEventPatternConverter.

Inherited by ClassNamePatternConverter, and LoggerPatternConverter.

## Protected Member Functions

| NamePatternConverter (const LogString &name, const LogString &style, const std::vector< LogString > &options)
| Constructor. More...
void | abbreviate (int nameStart, LogString &buf) const
| Abbreviate name in string buffer. More...
Protected Member Functions inherited from LoggingEventPatternConverter
| LoggingEventPatternConverter (const LogString &name, const LogString &style)
| Constructs an instance of LoggingEventPatternConverter. More...
Protected Member Functions inherited from PatternConverter
| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()

## Additional Inherited Members

Public Member Functions inherited from LoggingEventPatternConverter
virtual void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const =0
| Formats an event into a string buffer. More...
void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
virtual bool | handlesThrowable () const
| Normally pattern converters are not meant to handle Exceptions although few pattern converters might. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Static Protected Member Functions inherited from PatternConverter
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Base class for other pattern converters which can return only parts of their name.

## Constructor & Destructor Documentation

NamePatternConverter | ( | const LogString & | name,
|  | const LogString & | style,
|  | const std::vector< LogString > & | options
| ) |  |

protected

Constructor.

Parameters

  name | name of converter.
  style | style name for associated output.
  options | options, may be null, first element will be interpreted as an abbreviation pattern.

## Member Function Documentation

void abbreviate | ( | int | nameStart,
|  | LogString & | buf
| ) |  | const

protected

Abbreviate name in string buffer.

Parameters

  nameStart | starting position of name to abbreviate.
  buf | string buffer containing name.

The documentation for this class was generated from the following file:

- namepatternconverter.h